class dns::config {
define zona ($directa,$reversa,)

{

	file {
	"${directa}":
	path => "/var/named/${directa}",
	owner => named,
	group => named,
	mode =>	640,
	content => template('dns/directa.erb'),
}
notify {"zonas":
message => "$directa ${directa}",	
}
	
	file {
	"namedconf":
	path => '/etc/named.conf',
	owner => root,
	group => named,
	mode =>	640,
	content => template('dns/named.conf.erb'),
	notify => Service["named"],
}
	file {
	"${reversa}":
	path => "/var/named/${reversa}.in-addr.arpa",
	owner => named,
	group => named,
	mode =>	640,
	content => template('dns/reversa.in-addr.arpa.erb'),
}
	file_line { 
	'resolv':
      path => '/etc/resolv.conf',
      line => "nameserver $ipaddress";
	'search':
      path => '/etc/resolv.conf',
      line => "search  $domain",
}
}
}
